nominal.image.width
Prev | Graphics | Next

## Name

nominal.image.width — The nominal image width

## Synopsis

    <xsl:param name="nominal.image.width" select="6 * $pixels.per.inch"></xsl:param>

## Description

Graphic widths expressed as a percentage are problematic. In the following discussion, we speak of width and contentwidth, but the same issues apply to depth and contentdepth.

A width of 50% means "half of the available space for the image." That's fine. But note that in HTML, this is a dynamic property and the image size will vary if the browser window is resized.

A contentwidth of 50% means "half of the actual image width". But what does that mean if the stylesheets cannot assess the image's actual size? Treating this as a width of 50% is one possibility, but it produces behavior (dynamic scaling) that seems entirely out of character with the meaning.

Instead, the stylesheets define a `nominal.image.width` and convert percentages to actual values based on that nominal size.

Prev | Up | Next
default.image.width | Home | nominal.image.depth